Package org.eclipse.e4.ui.workbench.renderers.swt

# Class StackRenderer.TabStateHandler

java.lang.Object
org.eclipse.e4.ui.workbench.renderers.swt.StackRenderer.TabStateHandler

All Implemented Interfaces:
  `EventHandler`

Enclosing class:
  `StackRenderer`

public class StackRenderer.TabStateHandler extends Object implements EventHandler
An event handler for listening to changes to the children of an element container. The tab folder may need to layout itself again if a part's toolbar has been changed.

## Constructor Summary

Constructors
Constructor
Description
`TabStateHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleEvent(Event event)`
`boolean`
`validateElement(Object element)`
`boolean`
`validateValues(Object oldValue, Object newValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabStateHandler

public TabStateHandler()

## Method Details

### handleEvent

public void handleEvent(Event event)

Specified by:
  `handleEvent` in interface `EventHandler`

### validateElement

public boolean validateElement(Object element)

### validateValues

public boolean validateValues(Object oldValue, Object newValue)